Get client details by ID
curl --request GET \
--url https://api.finsync.ar/api/clients/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"company_id": 123,
"type": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"client_tags": [
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Clients
Get client details by ID
Retrieves detailed information for a specific client by ID, including accounts and client_tags.
GET
/
api
/
clients
/
{id}
Get client details by ID
curl --request GET \
--url https://api.finsync.ar/api/clients/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"company_id": 123,
"type": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"client_tags": [
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Authorizations
API Key for authentication
Path Parameters
Client ID
Response
Detailed client information with accounts
Client ID
Client name
Client description
Company ID the client belongs to
Client type (0 = Internal, 1 = External)
Creation timestamp
Last update timestamp
List of accounts associated with this client
Show child attributes
Show child attributes
Labels assigned to the client (dashboard client_tags). Empty array when none.
Show child attributes
Show child attributes